#' @include mortalityTable.R mortalityTable.period.R
NULL

#' Class mortalityTable.ageShift - Cohort life tables generated by age-shift
#'
#' A cohort life table, obtained by age-shifting from a given base table (death probabilities
# for a base birth year)
#'
#' @slot ageShifts  A \code{data.frame} with columns \code{YOB} and \code{shifts} giving the age shifts for each birth year
#'
#' @export mortalityTable.ageShift
#' @exportClass mortalityTable.ageShift
mortalityTable.ageShift = setClass(
    "mortalityTable.ageShift",
    slots = list(
        ageShifts = "data.frame"
    ),
    prototype = list(
        ageShifts = data.frame(YOB = c(), shifts = c())
    ),
    contains = "mortalityTable.period"
)
